# ChatMember - docs

docs / com.github.insanusmokrassar.TelegramBotAPI.types.ChatMember.abstracts / ChatMember

# ChatMember

(common) `interface ChatMember` (source)

### Properties

(common)

#### user

`abstract val user: User`

### Inheritors

(common)

#### BannedChatMember

`interface BannedChatMember : ChatMember, UntilDate`

(common)

#### LeftChatMember

`data class LeftChatMember : ChatMember`

(common)

#### MemberChatMember

`data class MemberChatMember : ChatMember`

(common)

#### SpecialRightsChatMember

`interface SpecialRightsChatMember : ChatMember`